Fix binary-trees regression from unnecessary floating in CorePrep.
ClosedPublic

Authored by ezyang on Aug 23 2016, 5:55 PM.

Details

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ezyang updated this revision to Diff 8464.Aug 23 2016, 5:55 PM
ezyang retitled this revision from to Fix binary-trees regression from unnecessary floating in CorePrep..
ezyang edited the test plan for this revision. (Show Details)
ezyang added reviewers: simonpj, nomeata.
ezyang updated this object.
ezyang updated this revision to Diff 8465.Aug 23 2016, 6:22 PM
ezyang edited edge metadata.

put in the bad prep

ezyang updated this revision to Diff 8466.Aug 23 2016, 6:23 PM
ezyang edited edge metadata.

do lazy (f x) y

Instead of "the previous patch" in the commit log, could you use the diff number or revision please?

nomeata edited edge metadata.Aug 25 2016, 8:17 AM

If you commit it to a, say, wip/D2471 branch on the main repo, perf.haskell.org will test it. (There is no integration into Phab DRs unfortunately.)

SPJ and Joachim, both done, thanks!

perf is busy with many new commits to the ghc-8.0 branch; your branch will be processed eventually.

According to https://perf.haskell.org/ghc/#revision/c2844b81302aba41d558c0921ce461a6c9ef0f1e your fix doesn’t quite cut the performance regression.

nomeata requested changes to this revision.Aug 28 2016, 7:26 AM
nomeata edited edge metadata.
This revision now requires changes to proceed.Aug 28 2016, 7:26 AM
ezyang updated this revision to Diff 8526.Aug 30 2016, 3:03 AM
ezyang edited edge metadata.

Fix it again!

OK, I think I've nailed it this time.

ezyang updated this revision to Diff 8527.Aug 30 2016, 3:06 AM
ezyang edited edge metadata.

try staging again

This revision is now accepted and ready to land.Aug 30 2016, 7:33 AM
bgamari accepted this revision.Aug 30 2016, 3:57 PM
bgamari edited edge metadata.

Alright then. Thanks @nomeata!

This revision was automatically updated to reflect the committed changes.